

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.24. time_classify_day_of_week &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.15.25. time_classify_hour" href="time_classify_hour.html" />
    <link rel="prev" title="7.15.23. time_classify_day" href="time_classify_day.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/functions/time_classify_day_of_week.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="time_classify_hour.html" title="7.15.25. time_classify_hour"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="time_classify_day.html" title="7.15.23. time_classify_day"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.24. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="time-classify-day-of-week">
<h1><span class="section-number">7.15.24. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code><a class="headerlink" href="#time-classify-day-of-week" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.24.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 8.0.5 で追加.</span></p>
</div>
<p>指定された時刻の曜日を <code class="docutils literal notranslate"><span class="pre">UInt8</span></code> の値として返します。 <code class="docutils literal notranslate"><span class="pre">0</span></code> は日曜日で、 <code class="docutils literal notranslate"><span class="pre">6</span></code> は土曜日です。</p>
<p>この関数を有効にするには、以下のコマンドで <code class="docutils literal notranslate"><span class="pre">functions/time</span></code> プラグインを登録します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/time
</pre></div>
</div>
</div>
<div class="section" id="syntax">
<span id="time-classify-day-of-the-week-syntax"></span><h2><span class="section-number">7.15.24.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>この関数の引数は1つです。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>time_classify_day_of_week(time)
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.24.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>まず <code class="docutils literal notranslate"><span class="pre">functions/time</span></code> プラグインを登録します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>使い方を示すために使うスキーマ定義とサンプルデータは以下の通りです。</p>
<p>サンプルスキーマ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create  Memos TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Memos created_at COLUMN_SCALAR Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>サンプルデータ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Memos
[
{&quot;_key&quot;: &quot;Sunday&quot;,    &quot;created_at&quot;: &quot;2018-07-01 00:00:00&quot;},
{&quot;_key&quot;: &quot;Monday&quot;,    &quot;created_at&quot;: &quot;2018-07-02 00:00:00&quot;},
{&quot;_key&quot;: &quot;Tuesday&quot;,   &quot;created_at&quot;: &quot;2018-07-03 00:00:00&quot;},
{&quot;_key&quot;: &quot;Wednesday&quot;, &quot;created_at&quot;: &quot;2018-07-04 00:00:00&quot;},
{&quot;_key&quot;: &quot;Thursday&quot;,  &quot;created_at&quot;: &quot;2018-07-05 00:00:00&quot;},
{&quot;_key&quot;: &quot;Friday&quot;,    &quot;created_at&quot;: &quot;2018-07-06 00:00:00&quot;},
{&quot;_key&quot;: &quot;Saturday&quot;,  &quot;created_at&quot;: &quot;2018-07-07 00:00:00&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 7]
</pre></div>
</div>
<p>以下は簡単な <code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code> の使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select \
  --table Memos \
  --output_columns &#39;_key, time_classify_day_of_week(created_at)&#39;
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         7
#       ],
#       [
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;time_classify_day_of_week&quot;,
#           null
#         ]
#       ],
#       [
#         &quot;Sunday&quot;,
#         0
#       ],
#       [
#         &quot;Monday&quot;,
#         1
#       ],
#       [
#         &quot;Tuesday&quot;,
#         2
#       ],
#       [
#         &quot;Wednesday&quot;,
#         3
#       ],
#       [
#         &quot;Thursday&quot;,
#         4
#       ],
#       [
#         &quot;Friday&quot;,
#         5
#       ],
#       [
#         &quot;Saturday&quot;,
#         6
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
<p>日曜日の場合は <code class="docutils literal notranslate"><span class="pre">0</span></code> 、月曜日の場合は <code class="docutils literal notranslate"><span class="pre">1</span></code> …、土曜日の場合は <code class="docutils literal notranslate"><span class="pre">6</span></code> を返します。</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.24.4. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">UInt8</span></code> で表現した曜日。有効な値は次の通りです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>値</p></th>
<th class="head"><p>曜日</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
<td><p>日曜日</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
<td><p>月曜日</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
<td><p>火曜日</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
<td><p>水曜日</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
<td><p>木曜日</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
<td><p>金曜日</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
<td><p>土曜日</p></td>
</tr>
</tbody>
</table>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.24. <code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.24.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.15.24.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.15.24.3. 使い方</a></li>
<li><a class="reference internal" href="#return-value">7.15.24.4. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="time_classify_day.html"
                        title="前の章へ"><span class="section-number">7.15.23. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="time_classify_hour.html"
                        title="次の章へ"><span class="section-number">7.15.25. </span><code class="docutils literal notranslate"><span class="pre">time_classify_hour</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="time_classify_hour.html" title="7.15.25. time_classify_hour"
             >次へ</a> |</li>
        <li class="right" >
          <a href="time_classify_day.html" title="7.15.23. time_classify_day"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.24. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>